UM .NET API 6.17.1

- Main Page
- Related Pages
- Packages
- Classes

- Class List
- Class Hierarchy
- Class Members

Classes | Public Member Functions | List of all members
com.latencybusters.lbm.LBMSourceEvent Class Reference

Encapsulates LBM Source Events. More...

Inheritance diagram for com.latencybusters.lbm.LBMSourceEvent:

## Classes
struct | lbm_src_event_flight_size_notification_t
struct | lbm_src_event_sequence_number_info_t
struct | lbm_src_event_timestamp_info_t
struct | lbm_src_event_umq_message_id_info_t
struct | lbm_src_event_umq_registration_complete_ex_t
struct | lbm_src_event_umq_stability_ack_info_ex_t
struct | lbm_src_event_umq_ulb_message_info_ex_t
struct | lbm_src_event_umq_ulb_receiver_info_ex_t
struct | lbm_umq_msgid_t

## Public Member Functions
int | type ()
| LBM Source Event type. More...
long | registrationId ()
| Registration ID associated with this event. More...
long | sequenceNumber ()
| Sequence number associated with this event. More...
string | dataString ()
| String data associated with this event. More...
object | clientObject ()
| Client callback object. More...
LBMSourceEventWakeupInfo | sourceWakeupInfo ()
| Source wakeup info object. More...
UMESourceEventRegistrationSuccessInfo | registrationSuccessInfo ()
| Registration success info object. More...
UMESourceEventRegistrationCompleteInfo | registrationCompleteInfo ()
| Registration complete info. More...
UMESourceEventAckInfo | ackInfo ()
| Gets extended ACK info. More...
UMESourceEventDeregistrationSuccessInfo | deregistrationSuccessInfo ()
| Gets deregistration success info. More...
UMESourceEventDeregistrationCompleteInfo | deregistrationCompleteInfo ()
| Gets deregistration complete info. More...
LBMSourceEventSequenceNumberInfo | sequenceNumberInfo ()
| Gets extended sequence number info. More...
UMQSourceEventMessageIdInfo | messageIdInfo ()
| Gets an object describing teh message ID assigned to a message (UMQ only) More...
UMQSourceEventAckInfo | queueAckInfo ()
| Gets an object containing extended information about a stability acknowledgement event. (UMQ only) More...
UMQSourceEventRegistrationCompleteInfo | queueRegistrationCompleteInfo ()
| Queue registration complete info. (UMQ only) More...
UMQSourceEventULBReceiverInfo | ulbReceiverInfo ()
| Gets an object containing extended information about a ULB receiver event. (UMQ only) More...
UMQSourceEventULBMessageInfo | ulbMessageInfo ()
| Gets an object containing extended information about a ULB message event. (UMQ only) More...
LBMSourceEventFlightSizeNotification | flightSizeNotification ()
| Gets an object containing flight size information. More...
LBMSourceEventTimestampInfo | timestampInfo ()
| Gets an object containing timestamp information. More...
LBMSourceEvent | promote ()
| This method should be called if the application wishes to continue processing the source event on another thread, or after the source event callback returns. More...
void | dispose ()
| This method should be called before the source event callback returns to indicate that the application is finished with the source event allowing it to be reused when processing a future source event.

## Detailed Description

Encapsulates LBM Source Events.

## Member Function Documentation

UMESourceEventAckInfo com.latencybusters.lbm.LBMSourceEvent.ackInfo | ( |  | ) |

Gets extended ACK info.

Returns
  Ack info.

object com.latencybusters.lbm.LBMSourceEvent.clientObject | ( |  | ) |

Client callback object.

This object is specified by the application using another API method.

See also
  LBMSource.send(byte[],int,int,object)

Returns
  Client callback object

string com.latencybusters.lbm.LBMSourceEvent.dataString | ( |  | ) |

String data associated with this event.

This value may not be valid for all event types.

Returns
  Event string data

UMESourceEventDeregistrationCompleteInfo com.latencybusters.lbm.LBMSourceEvent.deregistrationCompleteInfo | ( |  | ) |

Gets deregistration complete info.

Returns
  UMESourceDeregistrationComplete Info

UMESourceEventDeregistrationSuccessInfo com.latencybusters.lbm.LBMSourceEvent.deregistrationSuccessInfo | ( |  | ) |

Gets deregistration success info.

Returns
  UMESourceDeregistrationSuccess Info

LBMSourceEventFlightSizeNotification com.latencybusters.lbm.LBMSourceEvent.flightSizeNotification | ( |  | ) |

Gets an object containing flight size information.

Returns
  An LBMSourceEventFlightSizeNotification object with information about the current inflight.

UMQSourceEventMessageIdInfo com.latencybusters.lbm.LBMSourceEvent.messageIdInfo | ( |  | ) |

Gets an object describing teh message ID assigned to a message (UMQ only)

Returns
  A UMQSourceEventMessageIdInfo object containing message ID information

LBMSourceEvent com.latencybusters.lbm.LBMSourceEvent.promote | ( |  | ) |

This method should be called if the application wishes to continue processing the source event on another thread, or after the source event callback returns.

Returns
  the promoted LBMSourceEvent

UMQSourceEventAckInfo com.latencybusters.lbm.LBMSourceEvent.queueAckInfo | ( |  | ) |

Gets an object containing extended information about a stability acknowledgement event. (UMQ only)

Returns
  A UMQSourceEventAckInfo object with additional information about a stability ack event.

UMQSourceEventRegistrationCompleteInfo com.latencybusters.lbm.LBMSourceEvent.queueRegistrationCompleteInfo | ( |  | ) |

Queue registration complete info. (UMQ only)

Contains extended queue registration complete information.

Returns
  A UMQSourceVentRegistrationCompleteInfo object containing registration complete info.

UMESourceEventRegistrationCompleteInfo com.latencybusters.lbm.LBMSourceEvent.registrationCompleteInfo | ( |  | ) |

Registration complete info.

Contains extended registration complete information.

Returns
  Registration complete info.

long com.latencybusters.lbm.LBMSourceEvent.registrationId | ( |  | ) |

Registration ID associated with this event.

This value may not be valid for all event types.

Returns
  Registration ID.

UMESourceEventRegistrationSuccessInfo com.latencybusters.lbm.LBMSourceEvent.registrationSuccessInfo | ( |  | ) |

Registration success info object.

Contains extended registration information.

Returns
  Extended registration success info object.

long com.latencybusters.lbm.LBMSourceEvent.sequenceNumber | ( |  | ) |

Sequence number associated with this event.

This value may not be valid for all event types.

Returns
  Sequence number.

LBMSourceEventSequenceNumberInfo com.latencybusters.lbm.LBMSourceEvent.sequenceNumberInfo | ( |  | ) |

Gets extended sequence number info.

Returns
  Sequence number info.

LBMSourceEventWakeupInfo com.latencybusters.lbm.LBMSourceEvent.sourceWakeupInfo | ( |  | ) |

Source wakeup info object.

Contains extended information about a source wakeup event.

Returns
  Source wakeup info object.

LBMSourceEventTimestampInfo com.latencybusters.lbm.LBMSourceEvent.timestampInfo | ( |  | ) |

Gets an object containing timestamp information.

Returns
  An LBMSourceEventTimestamp object with information about the timestamp of a sent message.

int com.latencybusters.lbm.LBMSourceEvent.type | ( |  | ) |

LBM Source Event type.

See also
  LBM

Returns
  LBM Source Event type

UMQSourceEventULBMessageInfo com.latencybusters.lbm.LBMSourceEvent.ulbMessageInfo | ( |  | ) |

Gets an object containing extended information about a ULB message event. (UMQ only)

Returns
  A UMQSourceEventULBMessageInfo object with additional information about a ULB message event.

UMQSourceEventULBReceiverInfo com.latencybusters.lbm.LBMSourceEvent.ulbReceiverInfo | ( |  | ) |

Gets an object containing extended information about a ULB receiver event. (UMQ only)

Returns
  A UMQSourceEventULBReceiverInfo object with additional information about a ULB receiver event.

The documentation for this class was generated from the following file:

- LBMSourceEvent.cs